tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rémy Maucherat <r...@apache.org>
Subject Re: SSL Errors and Warnings with various version of Tomcat
Date Tue, 13 Nov 2018 14:00:52 GMT
On Tue, Nov 13, 2018 at 2:50 PM Richard Tearle <
richard.tearle@northgateps.com> wrote:

> Hi
>
> Our applications are all working fine with Tomcat 8.5.34 and Tomcat
> Native 1.2.17; Centos 7.5; OpenSSL 1.0.2k-fips  26 Jan 2017; Oracle
> Java JRE 8u172
>
> On upgrading to Tomcat 8.5.35 and Tomcat Native 1.2.18, we get the
> following warning:
>
> 12-Nov-2018 14:37:03.459 WARNING [main]
> org.apache.tomcat.util.net.openssl.OpenSSLEngine.<clinit> Failed
> getting cipher list
>  java.lang.Exception: Invalid Server SSL Protocol
> (error:00000000:lib(0):func(0):reason(0))
>         at org.apache.tomcat.jni.SSLContext.make(Native Method)
>         at org.apache.tomcat.util.net
> .openssl.OpenSSLEngine.<clinit>(OpenSSLEngine.java:73)
>

There was a patch porting problem in 8.5 in the jni.SSL class.

Rémy

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message